Show slider from hidden state in EJ2 JavaScript Range Slider control

24 Jan 20257 minutes to read

This section demonstrates how to render the Range Slider control in a hidden state and make it visible upon a button click. You can initialize the Range Slider in a hidden state by setting the display property to none.

In the sample, clicking the button will make the Range Slider visible from its hidden state, and you must also call the refresh method of the Range Slider to render it properly based on its original dimensions.

// Initialize button component
var button = new ej.buttons.Button({ content: 'Button' });
button.appendTo('#element');
// Initialize Range Slider Control
var defaultObj = new ej.inputs.Slider({
	// Set slider minimum and maximum values
	// new Date(Year, Month, day, hours, minutes, seconds, millSeconds)
	min: new Date(2013, 6, 13, 11).getTime(), max: new Date(2013, 6, 13, 17).getTime(),
	// 3600000 milliseconds = 1 Hour
	step: 3600000,
	//Set buttons for slider 
	showButtons: true,
	// Set the initial range values for slider
	value: new Date(2013, 6, 13, 13).getTime(),
	// Bind Tooltip change event for custom formatting
	tooltipChange: tooltipChangeHandler,
	// Initialize tooltip with placement
	tooltip: {
		placement: 'Before', isVisible: true, cssClass: 'e-tooltip-cutomization'
	},
	// Bind ticks event for custom formatting
	renderingTicks: renderingTicksHandler,
	// Initialize ticks with placement, largeStep, smallStep
	ticks: {
		placement: 'After',
		// 2 * 3600000 milliseconds = 2 Hour
		largeStep: 2 * 3600000,
		smallStep: 3600000, showSmallTicks: true
	},
	// Set the type to render range slider
	type: 'MinRange'
});
defaultObj.appendTo('#slider');

function tooltipChangeHandler(args) {
	/**
	  * toLocaleTimeString is predefined javascript date function, which is used to
	  * customize the date in different format
	  */
	var custom = { hour: '2-digit', minute: '2-digit' };
	// Splitting the range values from the tooltip using space into an array.
	if (args.text.indexOf('-') !== -1) {
		var totalMilliSeconds = args.text.split(' ');
		// First part is the first handle value
		var firstPart = totalMilliSeconds[0];
		// Second part is the second handle value
		var secondPart = totalMilliSeconds[2];

		firstPart = new Date(Number(firstPart)).toLocaleTimeString('en-us', custom);
		secondPart = new Date(Number(secondPart)).toLocaleTimeString('en-us', custom);
	} else {
		args.text = new Date(Number(args.text)).toLocaleTimeString('en-us', custom);
	}
}

function renderingTicksHandler(args) {
	var totalMilliSeconds = args.value;
	/**
	 * toLocaleTimeString is predefined javascript date function, which is used to
	 * customize the date in different format
	 */
	var custom = { hour: '2-digit', minute: '2-digit' };
	// Assigning our custom text to the tick value.
	args.text = new Date(totalMilliSeconds).toLocaleTimeString('en-us', custom);
}

//Visible slider by clicking the button
document.getElementById('element').onclick = function () {
	slider = document.getElementById("case");
	ticks = document.getElementById("slider");
	slider.style.display = "block";
	ticks.ej2_instances[0].refresh();
};
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Essential JS 2 Range Slider</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Essential JS 2 Range Slider Control">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/32.1.19/ej2-base/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/32.1.19/ej2-inputs/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/32.1.19/ej2-popups/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/32.1.19/ej2-buttons/styles/material.css" rel="stylesheet">
    <script src="https://cdn.syncfusion.com/ej2/32.1.19/dist/ej2.min.js" type="text/javascript"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    <!--button to show slider-->
    <button id="element" style="float:left;">Button</button>
    <div id="container">
        <div class="wrap">
            <div id="case">
                <div id="slider">
                </div>
            </div>
        </div>
    </div>

    <style>
        /* render slider in hidden state */
        #case {
            display: none;
        }

        .wrap {
            box-sizing: border-box;
            height: 260px;
            margin: 0 auto;
            padding: 80px 10px;
            width: 460px;
        }
    </style>
    <script>
        var ele = document.getElementById('container');
        if (ele) {
            ele.style.visibility = "visible";
        }   
    </script>
    <script src="index.js" type="text/javascript"></script>
</body>

</html>
#container {
  visibility: hidden;
}

#loader {
  color: #008cff;
  font-family: 'Helvetica Neue','calibiri';
  font-size: 14px;
  height: 40px;
  left: 45%;
  position: absolute;
  top: 45%;
  width: 30%;
}

Show Slider from hidden state in React Range Slider component

28 Feb 20259 minutes to read

This section demonstrates how to render the Slider component in a hidden state and make it visible on button click. We can initialize the Slider in a hidden state by setting its display property to none.

In the sample, by clicking the button, we can make the Slider visible from its hidden state, and we must also call the refresh method of the Slider to render it properly based on its original dimensions.

import * as React from 'react';
import * as ReactDOM from "react-dom";
import { SliderComponent } from '@syncfusion/ej2-react-inputs';
import './index.css';
function App() {
    let sliderInstance;
    let min = new Date(2013, 6, 13, 11).getTime();
    let max = new Date(2013, 6, 13, 17).getTime();
    let value = new Date(2013, 6, 13, 13).getTime();
    let step = 3600000;
    // Slider ticks customization
    let ticks = { placement: "After", largeStep: 2 * 3600000 };
    let tooltip = { placement: "Before", isVisible: true };
    function renderingTicksHandler(args) {
        let totalMiliSeconds = Number(args.value);
        let custom = { hour: "2-digit", minute: "2-digit" };
        args.text = new Date(totalMiliSeconds).toLocaleTimeString("en-us", custom);
    }
    function tooltipChangeHandler(args) {
        let totalMiliSeconds = Number(args.text);
        let custom = { hour: "2-digit", minute: "2-digit" };
        args.text = new Date(totalMiliSeconds).toLocaleTimeString("en-us", custom);
    }
    function onClick() {
        const slider = document.getElementById("case");
        if (slider) {
            slider.style.display = "block";
            sliderInstance.refresh();
        }
    }
    return (<div id="container">
        <button onClick={onClick.bind(this)}>Button</button>
        <div id="case" className="wrap">
            <SliderComponent ref={t => (sliderInstance = t)} min={min} max={max} value={value} step={step} tooltip={tooltip} ticks={ticks} showButtons={true} tooltipChange={tooltipChangeHandler.bind(this)} renderingTicks={renderingTicksHandler.bind(this)} />
        </div>
    </div>);
}
export default App;
ReactDOM.render(<App />, document.getElementById('element'));
import * as React from 'react';
import * as ReactDOM from "react-dom";
import { SliderComponent, TicksDataModel, TooltipDataModel, SliderTickEventArgs, SliderTooltipEventArgs } from '@syncfusion/ej2-react-inputs';

function App() {
  let sliderInstance: SliderComponent;
  let min = new Date(2013, 6, 13, 11).getTime();
  let max = new Date(2013, 6, 13, 17).getTime();
  let value = new Date(2013, 6, 13, 13).getTime();
  let step = 3600000;

  // Slider ticks customization
  let ticks: TicksDataModel = { placement: "After", largeStep: 2 * 3600000 };
  let tooltip: TooltipDataModel = { placement: "Before", isVisible: true };

  function renderingTicksHandler(args: SliderTickEventArgs) {
    let totalMiliSeconds = Number(args.value);
    let custom = { hour: "2-digit", minute: "2-digit" };
    args.text = new Date(totalMiliSeconds).toLocaleTimeString("en-us", custom);
  }

  function tooltipChangeHandler(args: SliderTooltipEventArgs) {
    let totalMiliSeconds = Number(args.text);
    let custom = { hour: "2-digit", minute: "2-digit" };
    args.text = new Date(totalMiliSeconds).toLocaleTimeString("en-us", custom);
  }

  function onClick() {
    const slider = document.getElementById("case");
    if (slider) {
      slider.style.display = "block";
      sliderInstance.refresh();
    }
  }

  return (
    <div id="container">
      <button onClick={onClick.bind(this)}>Button</button>
      <div id="case" className="wrap">
        <SliderComponent
          ref={t => (sliderInstance = t as SliderComponent)}
          min={min}
          max={max}
          value={value}
          step={step}
          tooltip={tooltip}
          ticks={ticks}
          showButtons={true}
          tooltipChange={tooltipChangeHandler.bind(this) as any}
          renderingTicks={renderingTicksHandler.bind(this) as any}
        />
      </div>
    </div>
  );
}
export default App;
ReactDOM.render(<App />, document.getElementById('element'));
.sliderwrap {
  margin-top: 20px;
}

#case {
  display: none;
  width: 50%;
  margin: 0 auto;
}

.sliderwrap label {
  font-size: 13px;
  font-weight: 100;
  margin-top: 15px;
  padding-bottom: 15px;
}

.wrap {
  box-sizing: border-box;
  height: 100px;
  margin: 0 auto;
  padding: 30px 10px;
  width: 460px;
}

.wrap .label {
  text-align: center;
}

.labeltext {
  text-align: center;
}
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Syncfusion React Range Slider</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Essential JS 2 for React Components" />
    <meta name="author" content="Syncfusion" />
    <link href="https://cdn.syncfusion.com/ej2/31.2.12/ej2-base/styles/material.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/31.2.12/ej2-buttons/styles/material.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/31.2.12/ej2-popups/styles/material.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/31.2.12/ej2-react-inputs/styles/material.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/31.2.12/ej2-react-popups/styles/material.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/31.2.12/ej2-react-buttons/styles/material.css" rel="stylesheet" />
    <link href="index.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    <div id='element'>
    </div>
</body>

</html>

Show Slider from hidden state in Vue Range Slider component

21 Feb 20257 minutes to read

This section demonstrates how-to render the Slider component in hidden state and make it visible in button click. We can initialize Slider in hidden state by setting the display as none.

In the sample, by clicking on the button, we can make the Slider visible from hidden state, and we must also call the refresh method of the Slider to render it properly based on its original dimensions.

<template>
  <div id="app">
    <button type="button" id="btn" class="e-control e-btn" v-on:click="onClick">Button</button>
    <div id="wrap">
      <ejs-slider id="slider" :min="minVal" :max="maxVal" :value="value" :tooltip="tooltip" :ticks="ticks"
        showButtons="true" :step="stepVal" v-on:renderingTicks="onRenderingTicks"
        v-on:tooltipChange="onTooltipChange"></ejs-slider>
    </div>
  </div>
</template>
<script setup>

import { SliderComponent as EjsSlider } from "@syncfusion/ej2-vue-inputs";

const tooltip = { placement: "Before", isVisible: true };
const minVal = new Date(2013, 6, 13, 11).getTime();
const maxVal = new Date(2013, 6, 13, 17).getTime();
const value = new Date(2013, 6, 13, 13).getTime();
const stepVal = 3600000;
// Slider ticks customization
const ticks = { placement: "After", largeStep: 2 * 3600000 };

const onTooltipChange = (args) => {
  let totalMiliSeconds = Number(args.text);
  let custom = { hour: "2-digit", minute: "2-digit" };
  args.text = new Date(totalMiliSeconds).toLocaleTimeString(
    "en-us",
    custom
  );
};
const onRenderingTicks = (args) => {
  let totalMiliSeconds = Number(args.value);
  let custom = { hour: "2-digit", minute: "2-digit" };
  args.text = new Date(totalMiliSeconds).toLocaleTimeString(
    "en-us",
    custom
  );
};
const onClick = () => {
  let slider = document.getElementById("wrap");
  let ticks = document.getElementById("slider");
  slider.style.display = "block";
  ticks.ej2_instances[0].refresh();
};
</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-popups/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";

#app {
  height: 40px;
  position: absolute;
  width: 98%;
}

#wrap {
  box-sizing: border-box;
  height: 260px;
  margin: 0 auto;
  padding: 30px 10px;
  width: 460px;
  display: none;
}
</style>
<template>
  <div id="app">
    <button type="button" id="btn" class="e-control e-btn" v-on:click="onClick">Button</button>
    <div id="wrap">
      <ejs-slider id="slider" :min="minVal" :max="maxVal" :value="value" :tooltip="tooltip" :ticks="ticks"
        showButtons="true" :step="stepVal" v-on:renderingTicks="onRenderingTicks"
        v-on:tooltipChange="onTooltipChange"></ejs-slider>
    </div>
  </div>
</template>

<script>

import { SliderComponent } from "@syncfusion/ej2-vue-inputs";

export default {
  name: "App",
  components: {
    "ejs-slider": SliderComponent
  },
  data: function () {
    return {
      tooltip: { placement: "Before", isVisible: true },
      minVal: new Date(2013, 6, 13, 11).getTime(),
      maxVal: new Date(2013, 6, 13, 17).getTime(),
      value: new Date(2013, 6, 13, 13).getTime(),
      stepVal: 3600000,
      // Slider ticks customization
      ticks: { placement: "After", largeStep: 2 * 3600000 }
    };
  },
  methods: {
    onTooltipChange(args) {
      let totalMiliSeconds = Number(args.text);
      let custom = { hour: "2-digit", minute: "2-digit" };
      args.text = new Date(totalMiliSeconds).toLocaleTimeString(
        "en-us",
        custom
      );
    },
    onRenderingTicks(args) {
      let totalMiliSeconds = Number(args.value);
      let custom = { hour: "2-digit", minute: "2-digit" };
      args.text = new Date(totalMiliSeconds).toLocaleTimeString(
        "en-us",
        custom
      );
    },
    onClick: function () {
      let slider = document.getElementById("wrap");
      let ticks = document.getElementById("slider");
      slider.style.display = "block";
      ticks.ej2_instances[0].refresh();
    }
  }
};
</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-popups/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";

#app {
  height: 40px;
  position: absolute;
  width: 98%;
}

#wrap {
  box-sizing: border-box;
  height: 260px;
  margin: 0 auto;
  padding: 30px 10px;
  width: 460px;
  display: none;
}
</style>

Show Angular Range Slider component from hidden state

11 Jan 20254 minutes to read

This section demonstrates how-to render the Slider component in hidden state and make it visible in button click. We can initialize Slider in hidden state by setting the display as none.

In the sample, by clicking on the button, we can make the Slider visible from hidden state, and we must also call the refresh method of the Slider to render it properly based on its original dimensions.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { Component, ViewChild, ElementRef } from '@angular/core';
import { SliderComponent, SliderModule, SliderTickEventArgs, SliderTooltipEventArgs } from '@syncfusion/ej2-angular-inputs';
import { ButtonComponent } from '@syncfusion/ej2-angular-buttons';

/**
 * Default sample
 */

@Component({
    imports: [
        SliderModule
    ],
    standalone: true,
    selector: 'my-app',
    template: `
    <button ejs-button #button (click)="Click()" id="element">Button</button>
    <div id='container'>
    <div #wrapDiv id="wrap">
            <ejs-slider #slider id='slider' [min]="min" [max]="max" [value]="value" [tooltip]="tooltipData" [ticks]="ticksData" [showButtons]=true [step]="step"
                (tooltipChange)='tooltipChangeHandler($event)' (renderingTicks)='renderingTicksHandler($event)'></ejs-slider>
        </div>
    </div>`,
})

export class AppComponent {
    @ViewChild('button')
    public clear: ButtonComponent | any;
    @ViewChild('slider')
    public slider: SliderComponent | any;
    @ViewChild('wrapDiv')
    public wrapDiv!: ElementRef;

    public tooltipData: Object = { placement: 'Before', isVisible: true };
    public ticksData: Object = { placement: 'After', largeStep: 2 * 3600000 };
    public min: number = new Date(2013, 6, 13, 11).getTime();
    public max: number = new Date(2013, 6, 13, 17).getTime();
    public step: number = 3600000;
    public value: number = new Date(2013, 6, 13, 13).getTime();

    tooltipChangeHandler(args: SliderTooltipEventArgs): void {
        let totalMilliSeconds = Number(args.text);
        let custom: any = { hour: '2-digit', minute: '2-digit' };
        args.text = new Date(totalMilliSeconds).toLocaleTimeString("en-us", custom);
    }

    renderingTicksHandler(args: SliderTickEventArgs): void {
        let totalMilliSeconds = Number(args.value);
        let custom: any = { hour: '2-digit', minute: '2-digit' };
        args.text = new Date(totalMilliSeconds).toLocaleTimeString("en-us", custom);
    }
    Click() {
        this.wrapDiv.nativeElement.style.display = 'block';
        this.slider.refresh();
    }
}
@import 'node_modules/@syncfusion/ej2-base/styles/material.css';
@import 'node_modules/@syncfusion/ej2-buttons/styles/material.css';
@import 'node_modules/@syncfusion/ej2-popups/styles/material.css';
@import 'node_modules/@syncfusion/ej2-angular-inputs/styles/material.css';

#wrap {
    box-sizing: border-box;
    height: 100px;
    margin: 0 auto;
    padding: 30px 10px;
    width: 460px;
    display: none;
}

#wrap .label {
    text-align: center;
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));